# -*- rpm-spec -*-

Summary: Tethered shooting & control of digital cameras
Name: entangle
Version: 0.3.3
Release: 1%{?dist}%{?extra_release}
License: GPLv3+
Group: Applications/Multimedia
Source: http://entangle-photo.org/download/sources/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://entangle-photo.org/

BuildRequires: glib2-devel >= 2.26.0
BuildRequires: gtk3-devel >= 3.0
BuildRequires: libgphoto2-devel >= 2.4.11
BuildRequires: libgudev1-devel >= 145
BuildRequires: dbus-glib-devel >= 0.60
BuildRequires: lcms-devel >= 1.18
BuildRequires: gobject-introspection-devel
BuildRequires: libpeas-devel >= 0.5.5
BuildRequires: libgexiv2-devel >= 0.2.2
BuildRequires: intltool

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Entangle is an application which uses GTK and libgphoto2 to provide a
graphical interface for tethered photography with digital cameras.

It includes control over camera shooting and configuration settings
and 'hands off' shooting directly from the controlling computer.

%prep
%setup -q

%build

%configure --disable-werror
make %{?_smp_mflags}

%install
rm -fr %{buildroot}

%makeinstall
rm -rf %{buildroot}%{_datadir}/%{name}/website
rm -f %{buildroot}%{_datadir}/glib-2.0/schemas/gschemas.compiled
%find_lang %{name}

%clean
rm -fr %{buildroot}

%post
update-desktop-database %{_datadir}/applications
glib-compile-schemas /usr/share/glib-2.0/schemas ||:

%postun
update-desktop-database %{_datadir}/applications
glib-compile-schemas /usr/share/glib-2.0/schemas ||:

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS ChangeLog
%{_bindir}/entangle
%{_datadir}/%{name}/%{name}-camera-info.xml
%{_datadir}/%{name}/%{name}-camera-manager.xml
%{_datadir}/%{name}/%{name}-camera-picker.xml
%{_datadir}/%{name}/%{name}-help-about.xml
%{_datadir}/%{name}/%{name}-image-popup.xml
%{_datadir}/%{name}/%{name}-preferences.xml
%{_datadir}/%{name}/%{name}-16x16.png
%{_datadir}/%{name}/%{name}-32x32.png
%{_datadir}/%{name}/%{name}-48x48.png
%{_datadir}/%{name}/%{name}-64x64.png
%{_datadir}/%{name}/%{name}-128x128.png
%{_datadir}/%{name}/%{name}-256x256.png
%{_datadir}/%{name}/%{name}.svg
%{_datadir}/%{name}/plugins.png
%{_datadir}/%{name}/plugins-22.png
%{_datadir}/%{name}/folders.png
%{_datadir}/%{name}/folders-22.png
%{_datadir}/%{name}/color-management.png
%{_datadir}/%{name}/color-management-22.png
%{_datadir}/%{name}/sRGB.icc
%{_datadir}/gtk-doc/html/Entangle
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.entangle-photo.manager.gschema.xml
%{_datadir}/gir-1.0/Entangle-0.1.gir
%{_libdir}/girepository-1.0/Entangle-0.1.typelib
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_datadir}/%{name}/plugins

%changelog
* Wed Apr 25 2012 Daniel P Berrange <berrange@redhat.com> - 0.3.3-1
- Update to 0.3.3 release

* Wed Apr 11 2012 Nils Philippsen <nils@redhat.com> - 0.3.2-2
- rebuilt for new libgexiv2

* Tue Apr  3 2012 Daniel P Berrange <berrange@redhat.com> - 0.3.2-1
- Update to 0.3.2 release
- Add BR on intltool
- Disable -Werror

* Tue Apr 03 2012 Kalev Lember <kalevlember@gmail.com> - 0.3.1-2
- Rebuilt for libgexiv2 soname bump

* Mon Feb 13 2012 Daniel P. Berrange <berrange@redhat.com> - 0.3.1-1%{?extra_release}
- Update to 0.3.1 release

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Daniel P. Berrange <berrange@redhat.com> - 0.3.0-1
- Update to 0.3.0 release

* Tue Jun 28 2011 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-6
- Fix crash when disconnecting from camera

* Mon Jun 27 2011 Daniel P Berrange <berrange@acer1810.home.berrange.com> - 0.2.0-5
- Temporarily disable introspection/plugins since it now requires to GTK3

* Fri Feb 11 2011 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-4
- Fix build with sealed GTK

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov  8 2010 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-2
- Fix crash when camera has no control widgets (rhbz #628163)

* Wed Oct  6 2010 Daniel P. Berrange <berrange@redhat.com> - 0.2.0-1
- Update to 0.2.0 release

* Tue Jul 13 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-7
- Fix gir repo version for GPhoto hack

* Mon Jul 12 2010 Colin Walters <walters@verbum.org> - 0.1.0-6
- Drop gir-repository-devel, it's dead in f14 and introspection should
  be in the relevant libraries
- Rebuild against new gobject-introspection

* Mon Jun  7 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-4
- Fix crash in udev handler with NULL properties (rhbz #600759)

* Fri Apr  9 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-2
- Remove redundant website content from RPM

* Thu Apr  8 2010 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-1
- Initial release
